Name: netcdf
Version: 3.4
Release: 4
Copyright: distributable
Source0: ftp://ftp.unidata.ucar.edu/pub/netcdf/netcdf-3.4.tar.Z
URL: http://www.unidata.ucar.edu/packages/netcdf/index.html
BuildRoot: /tmp/netcdf-root
Group: Libraries
Summary: Libraries to use the Unidata network Common Data Form (netCDF)
ExclusiveArch: i386 alpha
%description
NetCDF (network Common Data Form) is an interface for array-oriented data
access and a freely-distributed collection of software libraries for C, 
Fortran, C++, and perl that provides an implementation of the interface.
The netCDF library also defines a machine-independent format for representing
scientific data. Together, the interface, library, and format support the 
creation, access, and sharing of scientific data. The netCDF software was 
developed at the Unidata Program Center in Boulder, Colorado.

NetCDF data is: 

   o Self-Describing. A netCDF file includes information about the data it
     contains. 

   o Network-transparent. A netCDF file is represented in a form that can be 
     accessed by computers with different ways of storing integers, characters,
     and floating-point numbers. 

   o Direct-access. A small subset of a large dataset may be accessed 
     efficiently, without first reading through all the preceding data. 

   o Appendable. Data can be appended to a netCDF dataset along one dimension 
     without copying the dataset or redefining its structure. The structure of 
     a netCDF dataset can be changed, though this sometimes causes the dataset 
     to be copied. 

   o Sharable. One writer and multiple readers may simultaneously access the 
     same netCDF file. 

%prep

%setup

%build
cd src
CPPFLAGS="-DNDEBUG -Df2cFortran" CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr
make

%install
cd src
if [ "x$RPM_BUILD_ROOT" != "x/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr install
rm -rf $RPM_BUILD_ROOT/usr/man/man3f
gzip -f $RPM_BUILD_ROOT/usr/man/man1/ncdump.1
gzip -f $RPM_BUILD_ROOT/usr/man/man1/ncgen.1
gzip -f $RPM_BUILD_ROOT/usr/man/man3/netcdf.3
gzip -f $RPM_BUILD_ROOT/usr/man/man3/netcdf.3f

%clean
if [ "x$RPM_BUILD_ROOT" != "x/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi

%files
%doc src/README src/COMPATIBILITY
/usr/lib/libnetcdf.a
/usr/lib/libnetcdf_c++.a
/usr/include/netcdf.h
/usr/include/netcdf.inc
/usr/include/netcdf.hh
/usr/include/ncvalues.hh
/usr/man/man3/netcdf.3.gz
/usr/man/man3/netcdf.3f.gz
/usr/man/man1/ncdump.1.gz
/usr/man/man1/ncgen.1.gz
/usr/bin/ncdump
/usr/bin/ncgen
